Slackware 11.0 / 12.0 / 12.1 / 12.2 / current : openssl (SSA:2009-014-01)

This script is Copyright (C) 2009-2013 Tenable Network Security, Inc.


Synopsis :

The remote Slackware host is missing a security update.

Description :

New openssl packages are available for Slackware 11.0, 12.0, 12.1,
12.2, and -current to fix a security issue when connecting to an
SSL/TLS server that uses a certificate containing a DSA or ECDSA key.

See also :

http://www.ocert.org/advisories/ocert-2008-016.html
http://www.openssl.org/news/secadv_20090107.txt
http://www.nessus.org/u?732f3a6c

Solution :

Update the affected openssl and / or openssl-solibs packages.

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P)

Family: Slackware Local Security Checks

Nessus Plugin ID: 35376 ()

Bugtraq ID:

CVE ID: CVE-2008-5077